Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 407)
+++ palm/trunk/SOURCE/parin.f90	(revision 410)
@@ -5,4 +5,9 @@
 ! -----------------
 ! +wall_humidityflux, wall_scalarflux
+!
+! Branch revisions:
+! -----------------
+! Masked data output: + dt_domask, mask_01~20_x|y|z, mask_01~20_x|y|z_loop, 
+! mask_scale_x|y|z, masks, netcdf_format_mask[_av], skip_time_domask
 !
 ! Former revisions:
@@ -108,5 +113,5 @@
              lad_vertical_gradient, lad_vertical_gradient_level, &
              leaf_surface_concentration, long_filter_factor, &
-             loop_optimization, mixing_length_1d, momentum_advec, &
+             loop_optimization, mixing_length_1d, masks, momentum_advec, &
              netcdf_precision, nsor_ini, nx, ny, &
              nz, ocean, omega, outflow_damping_width, overshoot_limit_e, &
@@ -140,5 +145,16 @@
                        cross_normalized_y, cross_profiles, cross_ts_uymax, &
                        cross_ts_uymin, cross_xtext, cycle_mg, data_output, &
-                       data_output_format, data_output_pr, &
+                       data_output_format, &
+                       data_output_mask_01, data_output_mask_02, &
+                       data_output_mask_03, data_output_mask_04, &
+                       data_output_mask_05, data_output_mask_06, &
+                       data_output_mask_07, data_output_mask_08, &
+                       data_output_mask_09, data_output_mask_10, &
+                       data_output_mask_11, data_output_mask_12, &
+                       data_output_mask_13, data_output_mask_14, &
+                       data_output_mask_15, data_output_mask_16, &
+                       data_output_mask_17, data_output_mask_18, &
+                       data_output_mask_19, data_output_mask_20, &
+                       data_output_pr, &
                        data_output_2d_on_each_pe, disturbance_amplitude, &
                        disturbance_energy_limit, disturbance_level_b, &
@@ -146,9 +162,48 @@
                        do3d_compress, do3d_comp_prec, dt, dt_averaging_input, &
                        dt_averaging_input_pr, dt_coupling, dt_data_output, &
-                       dt_data_output_av, dt_disturb, dt_dopr, &
+                       dt_data_output_av, dt_disturb, dt_domask, dt_dopr, &
                        dt_dopr_listing, dt_dots, dt_do2d_xy, dt_do2d_xz, &
                        dt_do2d_yz, dt_do3d, dt_max, dt_restart, dt_run_control,&
-                       end_time, force_print_header, mg_cycles, &
-                       mg_switch_to_pe0_level, netcdf_64bit, netcdf_64bit_3d, &
+                       end_time, force_print_header, &
+                       mask_scale_x, mask_scale_y, mask_scale_z, &
+                       mask_01_x, mask_02_x, mask_03_x, mask_04_x, &
+                       mask_05_x, mask_06_x, mask_07_x, mask_08_x, &
+                       mask_09_x, mask_10_x, mask_11_x, mask_12_x, &
+                       mask_13_x, mask_14_x, mask_15_x, mask_16_x, &
+                       mask_17_x, mask_18_x, mask_19_x, mask_20_x, &
+                       mask_01_y, mask_02_y, mask_03_y, mask_04_y, &
+                       mask_05_y, mask_06_y, mask_07_y, mask_08_y, &
+                       mask_09_y, mask_10_y, mask_11_y, mask_12_y, &
+                       mask_13_y, mask_14_y, mask_15_y, mask_16_y, &
+                       mask_17_y, mask_18_y, mask_19_y, mask_20_y, &
+                       mask_01_z, mask_02_z, mask_03_z, mask_04_z, &
+                       mask_05_z, mask_06_z, mask_07_z, mask_08_z, &
+                       mask_09_z, mask_10_z, mask_11_z, mask_12_z, &
+                       mask_13_z, mask_14_z, mask_15_z, mask_16_z, &
+                       mask_17_z, mask_18_z, mask_19_z, mask_20_z, &
+                       mask_01_x_loop, mask_02_x_loop, mask_03_x_loop, &
+                       mask_04_x_loop, mask_05_x_loop, mask_06_x_loop, &
+                       mask_07_x_loop, mask_08_x_loop, mask_09_x_loop, &
+                       mask_10_x_loop, mask_11_x_loop, mask_12_x_loop, &
+                       mask_13_x_loop, mask_14_x_loop, mask_15_x_loop, &
+                       mask_16_x_loop, mask_17_x_loop, mask_18_x_loop, &
+                       mask_19_x_loop, mask_20_x_loop, &
+                       mask_01_y_loop, mask_02_y_loop, mask_03_y_loop, &
+                       mask_04_y_loop, mask_05_y_loop, mask_06_y_loop, &
+                       mask_07_y_loop, mask_08_y_loop, mask_09_y_loop, &
+                       mask_10_y_loop, mask_11_y_loop, mask_12_y_loop, &
+                       mask_13_y_loop, mask_14_y_loop, mask_15_y_loop, &
+                       mask_16_y_loop, mask_17_y_loop, mask_18_y_loop, &
+                       mask_19_y_loop, mask_20_y_loop, &
+                       mask_01_z_loop, mask_02_z_loop, mask_03_z_loop, &
+                       mask_04_z_loop, mask_05_z_loop, mask_06_z_loop, &
+                       mask_07_z_loop, mask_08_z_loop, mask_09_z_loop, &
+                       mask_10_z_loop, mask_11_z_loop, mask_12_z_loop, &
+                       mask_13_z_loop, mask_14_z_loop, mask_15_z_loop, &
+                       mask_16_z_loop, mask_17_z_loop, mask_18_z_loop, &
+                       mask_19_z_loop, mask_20_z_loop, &
+                       mg_cycles, mg_switch_to_pe0_level, &
+                       netcdf_64bit, netcdf_64bit_3d, &
+                       netcdf_format_mask, netcdf_format_mask_av, &
                        ngsrb, normalizing_region, npex, npey, nsor, nz_do3d, &
                        omega_sor, &
@@ -160,5 +215,5 @@
                        skip_time_data_output_av, skip_time_dopr, &
                        skip_time_do2d_xy, skip_time_do2d_xz, &
-                       skip_time_do2d_yz, skip_time_do3d, &
+                       skip_time_do2d_yz, skip_time_do3d, skip_time_domask, &
                        termination_time_needed, use_prior_plot1d_parameters, &
                        z_max_do1d, z_max_do1d_normalized, z_max_do2d
